package com.example.asus.myfirstgame;

import android.bluetooth.BluetoothSocket;
import android.util.Log;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

public class BluetoothSocketListener extends Thread
{
    private BluetoothSocket socket;
    private volatile String message;
    private volatile boolean unlockReading = true;
    private volatile boolean breakWhile = false;

    public BluetoothSocketListener(BluetoothSocket socket) {
        this.socket = socket;
    }

    @Override
    public void run() {
        Log.d("run", "running");
        int i;
        try {
            InputStream inStream = socket.getInputStream();
            while (true) {
                message = "";
                while(unlockReading && (i = inStream.read()) != -1) {

                    if ((char)i == ',') {
                        unlockReading = false;
                        break;
                    }

                    // converts integer to character
                    message += (char)i;
                }
                Log.d("mesajul primit este: ", message);

                if (breakWhile)
                    break;
            }
        } catch (IOException e) {
            Log.d("error", e.getMessage());
        }
    }

    public String getMessage() {
        return message;
    }

    public void switchUnlockReading() {
        unlockReading = true;
    }

    public boolean getUnlockReading() {
        return unlockReading;
    }

    public void turnOnBreakWhile() {
        breakWhile = true;
    }
}
