package com.example.asus.myfirstgame;

import android.graphics.Bitmap;
import android.graphics.Canvas;

public class Explosion {
    private float x;
    private float y;
    private int width;
    private int height;
    private int row;
    private Animation animation = new Animation();

    public Explosion(Bitmap res, float x, float y, int w, int h, int numFrames)
    {
        this.x = x;
        this.y = y;
        this.width = w;
        this.height = h;

        Bitmap[] image = new Bitmap[numFrames];

        Bitmap spritesheet = res;

        for(int i = 0; i< image.length; i++)
        {
            if(i % 5 == 0 && i > 0) row++;
                image[i] = Bitmap.createBitmap(spritesheet, (i-(5*row))*width, row * height, width, height);
        }

        animation.setFrames(image);
        animation.setDelay(5);
    }

    public void draw(Canvas canvas)
    {
        if(!animation.playedOnce())
        {
            canvas.drawBitmap(animation.getImage(), x, y, null);
        }
    }

    public void update()
    {
        if(!animation.playedOnce())
        {
            animation.update();
        }
    }
    public int getHeight()
    {
        return height;
    }
}
